---
title: RTCInboundRtpStreamStats.fecPacketsDiscarded
slug: Web/API/RTCInboundRtpStreamStats/fecPacketsDiscarded
tags:
  - API
  - Errors
  - FEC
  - Packets
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - fecPacketsDiscarded
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>fecPacketsDiscarded</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary is a numeric value indicating the number of {{Glossary("RTP")}} Forward Error Correction (FEC) packets that have been discarded.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>fecPacketsDiscarded</em> = <em>rtcInboundRtpStreamStats</em>.fecPacketsDiscarded;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned integer value indicating how many FEC packets have been received whose error correction payload has been discarded.</p>

<p>This can happen if all the packets covered by the FEC packet have already been received or recovered using another FEC packet, or if the FEC packet arrived outside the recovery window and the lost RTP packets have already been skipped during playback as a result. The value of <code>fecPacketsReceived</code> includes these discarded packets.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-fecpacketsdiscarded', 'RTCInboundRtpStreamStats.fecPacketsDiscarded')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.fecPacketsDiscarded")}}</p>
